按顺序写带圆圈的数字
(defun c:LT008 ()(setq stanum (getint "\n 请输入开始数字<1>: "))
(if (= stanum nil) (setq stanum 1) )
(setq num1 (getint "\n 请输入数字个数<10>: "))
(if (= num1 nil) (setq num1 10) )
(setq texthigh (getreal "\n 请输入文字高度<2.5>: "))
(if (= texthigh nil) (setq texthigh 2.5) )
(setq r1 (getreal "\n 请输入圆的半径 <0.85>: "))
(if (= r1 nil) (setq r1 0.85) )
(command "style" "standard" "romans.shx,ehzdx.shx" "0" "0.7" "0" "n" "n" "n")
(repeat num1
(setq pt (getpoint "\n 请指定文字注记的位置: "))
(command "text" "j" "m" pt texthigh "0" stanum)
(command "circle" pt (* texthigh r1))
(setq stanum (1+ stanum))
)
(princ "\n Welcome to use the program again!")
(princ "\n Copyright by HongQuan.\n")
(princ "\n TianJin Urban Construction Design Courtyard!\n")
(princ)
) 下载了,谢了楼主! 支持源码分享 谢谢楼主的奉献!
页:
[1]